#
# spec file for package rubygem-sdoc
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-sdoc
Version:        2.6.1
Release:        1.3
%define mod_name sdoc
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  ruby-macros >= 5
# rdoc >= 5.0
BuildRequires:  %{rubygem rdoc  >= 5.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
URL:            https://github.com/zzak/sdoc
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        rdoc html with javascript search index
License:        MIT
PreReq:         update-alternatives

%description
rdoc generator html with javascript search index.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- 2.6.0
  =====
  * #193 Add support for Ruby 3.2 as File.exists? has been removed [@sato11](https://github.com/sato11)
  2.5.0
  =====
  * #192 Add padding and rounded borders to code examples [@p8](https://github.com/p8)
  * #191 Add css class for constant [@p8](https://github.com/p8)
  * #189 `index_path` should handle a nil `main_page` [@ghiculescu](https://github.com/ghiculescu)
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.4.0
  see installed CHANGELOG.md
  2.4.0
  =====
  * #187 Allow setting CSS based version badge [@p8](https://github.com/p8)
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.3.2
  see installed CHANGELOG.md
  2.3.2
  =====
  * #184 Add support for rdoc 6.4.0 [@p8](https://github.com/p8)
  2.3.1
  =====
  * #183 Remove unsupported browser detection  [@p8](https://github.com/p8)
  * #182 Use window.location instead of Turbolinks.visit if protocol is 'file:' [@p8](https://github.com/p8)
  2.3.0
  =====
  * #178 Don't use rdoc 6.4.0 for now [@p8](https://github.com/p8)
  * #177 Remove rake version constraint for ruby head [@p8](https://github.com/p8)
  * #176 Make sidepanel work with relative paths/URLs [@p8](https://github.com/p8)
  * #175 Avoid displaying source toggler for ghost methods [Robin Dupret](https://github.com/robin850)
  * #174 Suppress unused variable warnings [Masataka Pocke Kuwabara](https://github.com/pocke)
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.2.0
  see installed CHANGELOG.md
  Master
  ======
  2.2.0
  =====
  * #161 Add 'skip to content' link and improve shortcut keys [@MikeRogers0](https://github.com/MikeRogers0)
  * #170 Fix link hovers in headings [@tlatsas](https://github.com/tlatsas)
  * #169 Fix clearing search results [@mikdiet](https://github.com/mikdiet)
  * #167 Update Merge script to work with sdoc v2 [@mikdiet](https://github.com/mikdiet)
  * #160 Remove outline from reset stylesheet [@p8](https://github.com/p8)
  * #159 Remove TAB override in panel [@p8](https://github.com/p8)
  * #157 Move to GitHub action for tests [@MikeRogers0](https://github.com/MikeRogers0)
  * #155 Fix Ctrl+C copying [Jan Schär](https://github.com/jscissr)
  2.1.0
  =====
  * #154 Make panel responsive for mobile [@MikeRogers0](https://github.com/MikeRogers0) and [@p8](https://github.com/p8)
  * #153 Add viewport metatag to views for improved Lighthouse score. [@MikeRogers0](https://github.com/MikeRogers0)
  * #150 Use semantic headers for better SEO [@p8](https://github.com/p8)
  2.0.4
  =====
  * #149 Using HTML5 doctype accross all HTML files. [@MikeRogers0](https://github.com/MikeRogers0)
  * #148 Fix overflow CSS property of panel elements. [@cveneziani](https://github.com/cveneziani)
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.0.3
  see installed CHANGELOG.md
  2.0.3
  =====
  * Use @options.title for the index
  2.0.2
  =====
  * Remove accidental rack inclusion in gemspec
  2.0.1
  =====
  * #142 Fix arrow icons for selected panel items
  * #141 Always use only one metatag for keywords
  * #140 Use h2 instead of h1 for banner header
  2.0.0
  =====
  * #137 Replace frames based implementation with a css
  * #132 Deprecate safe_level of ERB.new in Ruby 2.6
* Wed Apr  8 2020 Klaus Kämpf <kkaempf@suse.com>
- updated to version 1.1.0
  * #138 - Fix panel header overflow on Chrome
  * 39e6cae9 - Display version using -v or --version flags
* Tue Feb 27 2018 factory-auto@kulow.org
- updated to version 1.0.0
  see installed CHANGELOG.md
* Sat Oct  8 2016 coolo@suse.com
- updated to version 0.4.2
  no changelog found
* Tue Oct 14 2014 coolo@suse.com
- updated to version 0.4.1, no changelog
* Mon Jan 20 2014 coolo@suse.com
- updated to version 0.4.0, no changelog
* Mon Nov 26 2012 coolo@suse.com
- updated to version 0.3.20
* Sun Oct 28 2012 coolo@suse.com
- updated to version 0.3.19
* Sat Mar 24 2012 berendt@b1-systems.de
- initial version created with gem2rpm
